View Issue Details

IDProjectCategoryView StatusLast Update
0000239VisualDifferGeneralpublic2014-07-03 17:12
ReporteridreamstudioAssigned Toadmin 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLate 2011 27 inch iMac 3.4GhzOSOS XOS Version10.7.5
Product Version1.6.0 
Target VersionFixed in Version1.6.1 
Summary0000239: Not all code is exposed
DescriptionNo matter how much space I allow either pane to have, there is code that is not shown on screen unless I manually move the scrollbar. It's a pain.
Steps To ReproduceJust open two documents and it happens automatically.
Additional InformationJust wondering if this option is possible. What if a person was using this on a smaller screen and the lines wrapped, BUT in stead of making line 150 continue to 151 and bumping 151 to 152 and so on. Just have the wrapped line of 150 not be numbered, even if it were 10 lines deep and then line 151 would still be the same. This way all the lines of code are still true to their numbers.
TagsNo tags attached.

Activities

idreamstudio

2014-06-27 21:19

reporter  

VisualDiffer 2014-06-27.png (422,509 bytes)

admin

2014-06-28 07:06

administrator   ~0000497

Thanks for screenshot, it helped me to understand the problem.

Unlucky I can confirm this is a bug, I hope to fix it very soon.

idreamstudio

2014-06-28 20:55

reporter   ~0000502

What did you think of my suggestion about line wrapping? If I explained it correctly, is this something others could benefit from and is it even possible?

admin

2014-06-29 07:44

administrator   ~0000503

Your suggestion is very good, there is another bug asking for the so called "soft wrap" but I've a technical difficulty so implementing it requires many modifications.

I want to implement the soft wrap, I need it for myself.

BTW I've fixed the bug you submitted and now the line is visible, I hope to submit to Apple store very soon

idreamstudio

2014-06-29 21:12

reporter   ~0000504

Thank you. I appreciate that you are dedicated to making VisualDiffer so awesome. My friend pointed out a website that is very similar to your program but it goes a step farther when it comes down to highlighting differences. You should check it out. www.diffnow.com Maybe this would be something else to add on. Thanks again.

Issue History

Date Modified Username Field Change
2014-06-27 21:19 idreamstudio New Issue
2014-06-27 21:19 idreamstudio Status new => assigned
2014-06-27 21:19 idreamstudio Assigned To => admin
2014-06-27 21:19 idreamstudio File Added: VisualDiffer 2014-06-27.png
2014-06-28 07:06 admin Note Added: 0000497
2014-06-28 20:55 idreamstudio Note Added: 0000502
2014-06-29 07:44 admin Note Added: 0000503
2014-06-29 21:12 idreamstudio Note Added: 0000504
2014-07-03 17:12 admin Status assigned => closed
2014-07-03 17:12 admin Resolution open => fixed
2014-07-03 17:12 admin Fixed in Version => 1.6.1